package main;
use Evo '-Try *';
use Test::More;

# try-catch
ALL: {
  local $@ = 'prev';
  my ($try, $catch, $fin) = (0, 0, 0);
  try { $try++; die 'Err' } catch { $catch++; } finally { $fin++ };
  is $@,     'prev';
  is $try,   1;
  is $catch, 1;
  is $fin,   1;
}

done_testing;

